Bug 1286900 - FSAL_GLUSTER : Rename throws error in mount when acl is enabled
FSAL_GLUSTER : Rename throws error in mount when acl is enabled
Status: ASSIGNED
Product: nfs-ganesha
Classification: Community
Component: FSAL_GLUSTER (Show other bugs)
devel
All All
medium Severity medium
: ---
: ---
Assigned To: Jiffin
: Triaged
Depends On:
Blocks: 1289483
  Show dependency treegraph
 
Reported: 2015-11-30 23:51 EST by Jiffin
Modified: 2016-08-08 10:10 EDT (History)
0 users

See Also:
Fixed In Version: nfs-ganesha-2.4-dev-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1289483 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiffin 2015-11-30 23:51:55 EST
Description of problem:
When acl is enabled and if rename is performed gettattr() call in FSAL_GLUSTER may return ENOENT for replaced(or removed) file. This will throw an error in mount even though rename was successful.

Version-Release number of selected component (if applicable):
latest

How reproducible:
using pynfs test it is 100% reproducible.

Steps to Reproduce:
1.Create a volume and export it via nfs-ganesha with acl enabled
2.Run RNM15 test in the pynfs suite for nfsv4


Actual results:
throws error in mount saying "No such file or directory"

Expected results:
Should throw this error

Additional info:
Error is sent from glfs_h_acl_get() in FSAL
Comment 1 Jiffin 2015-11-30 23:53:00 EST
Upstream patch reference https://review.gerrithub.io/#/c/253518/
Comment 2 Jiffin 2016-05-25 08:55:06 EDT
This fix cause a regression for symlinks when acl enabled.Hence the changing into assigned state

Note You need to log in before you can comment on or make changes to this bug.